Herramientas de texto y listas
Limpie, compare y mida contenido sin cargar datos de trabajo.
Centrar líneas de texto
Centra cada línea dentro de un ancho exacto de caracteres Unicode conservando las filas en blanco y rechazando la truncación destructiva.
Abrir herramienta →Eliminar prefijo de las palabras
Elimina un fragmento inicial exacto de las palabras Unicode coincidentes y deja la puntuación, el espaciado y las palabras no coincidentes intactos.
Abrir herramienta →Eliminar sufijo de las palabras
Elimina exactamente una terminación de las palabras Unicode coincidentes sin aplanar separadores ni modificar las palabras que no lleven ese sufijo.
Abrir herramienta →Insertar separador entre caracteres
Coloca un separador elegido entre los puntos de código Unicode sin dividir pares sustitutos como los emoji en mitades no válidas.
Abrir herramienta →Cita cada línea de texto
Envuelve cada línea entre comillas dobles, comillas simples o comillas invertidas, preservando las líneas vacías y el orden original de las líneas.
Abrir herramienta →Eliminar comillas de líneas de texto
Elimine un par de comillas exteriores equilibradas de cada línea usando coincidencia automática o explícita del estilo de comillas.
Abrir herramienta →Cita cada palabra
Rodea cada token de palabra Unicode con un carácter de cita seleccionado, conservando las comas, la puntuación y el espaciado original.
Abrir herramienta →Eliminar comillas de las palabras
Desenvuelve individualmente las palabras Unicode entrecomilladas cuando ambas comillas coincidan, sin eliminar las comillas no relacionadas del texto en prosa.
Abrir herramienta →Normalizar líneas en blanco
Limita las filas en blanco consecutivas a un máximo exacto, preservando la sangría y cada línea no vacía.
Abrir herramienta →Convertir espacios en saltos de línea
Convierte cada token separado por espacios en una línea y colapsa de forma determinista los espacios repetidos, las tabulaciones y los saltos de línea existentes.
Abrir herramienta →Convertir saltos de línea en un separador
Unir las líneas de texto no vacías con un separador configurable mientras se recorta solo el espacio en blanco exterior de cada fila.
Abrir herramienta →Analizador de frecuencia de palabras
Clasifica palabras Unicode por número de apariciones con longitud mínima ajustable, límite de resultados y comparación sensible a mayúsculas y minúsculas.
Abrir herramienta →Ordenar las letras dentro de las palabras
Ordena las letras y los números Unicode dentro de cada palabra de forma independiente sin mover la puntuación ni las palabras mismas.
Abrir herramienta →Ordenar todos los caracteres de texto
Ordena cada punto de código Unicode en toda la entrada con eliminación opcional de espacios en blanco y dirección ascendente o descendente explícita.
Abrir herramienta →Número, texto, oraciones
Coloque cada oración detectada en su propia línea numerada, con un valor inicial configurable y tres estilos de marcador legibles.
Abrir herramienta →Número de párrafos de texto
Numera los párrafos separados por líneas en blanco, conservando los saltos de línea internos y el formato de cada párrafo.
Abrir herramienta →Buscador de oraciones duplicadas
Enumera las oraciones completas repetidas con sus recuentos usando una comparación explícita sensible o insensible a mayúsculas y minúsculas.
Abrir herramienta →Extractor de frases únicas
Conserve la primera aparición de cada oración completa y elimine las duplicadas posteriores según una regla de distinción de mayúsculas y minúsculas seleccionable.
Abrir herramienta →Codificador y decodificador de texto Base32
Convierte texto UTF-8 a Base32 canónico según RFC 4648 o decodifica estrictamente un valor Base32 con o sin relleno.
Abrir herramienta →Codificador y decodificador de texto Base32hex
Codifica y decodifica UTF-8 con el alfabeto Base32 hexadecimal extendido definido por la sección 7 del RFC 4648.
Abrir herramienta →Codificador y decodificador de texto Base45
Transforma texto UTF-8 con el alfabeto compacto Base45 RFC 9285 utilizado por formatos de datos orientados a QR.
Abrir herramienta →Codificador y decodificador de texto Bitcoin Base58
Convierte bytes UTF-8 con el alfabeto Base58 de Bitcoin conservando exactamente los bytes cero iniciales.
Abrir herramienta →Codificador y decodificador de texto Ascii85
Codifica UTF-8 en grupos Ascii85 de cinco caracteres o decodifica datos estrictamente compatibles con Adobe con delimitadores opcionales y compresión z.
Abrir herramienta →Codificador y decodificador de texto Quoted-Printable
Codifica texto estilo correo UTF-8 como quoted-printable de RFC 2045 o decodifica escapes validados en mayúsculas y saltos de línea normalizados por el navegador.
Abrir herramienta →No hay herramientas coincidentes en esta página.